### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-footer/ecl-footer-elements/ecl-site-footer-link.directive.ts`

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclSiteFooterLogoLink]`

### Index

###### Properties

- className

###### Methods

- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- class.ecl-site-footer__logo-link

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class.ecl-site-footer__logo-link
Type : `boolean`
Default value : `true`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

className
Default value : `true`
Decorators : `@HostBinding('class.ecl-site-footer__logo-link')`

# results matching ""

# No results matching ""